Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.documentbase
Class LuceneIndexParameters

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.documentbase.IndexParameters
              fr.gouv.culture.sdx.documentbase.LuceneIndexParameters

All Implemented Interfaces:
  Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

    public class LuceneIndexParameters

extends IndexParameters

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.documentbase.IndexParameters
`attachedDocumentSameId, CLASS_NAME_SUFFIX, SAME_ID_ERROR, SAME_ID_IGNORE, SAME_ID_REFRESH_SHARED_DOCUMENT, SAME_ID_REPLACE, SEND_ALL_EVENTS, SEND_ERRORS_EVENTS, SEND_STATS_EVENTS, subDocumentSameId`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`LuceneIndexParameters()`
`LuceneIndexParameters(int maxMergeDocs, int mergeFactor)` Build this object and set's the class variables for LuceneIndex writing

Method Summary
`int` | `getMaxMergeDocs()` Get's the max merge docs value
`int` | `getMergeFactor()` Get's the merge factor
`void` | `setMaxMergeDocs(int maxMergeDocs)` Set's the max merge docs value
`void` | `setMergeFactor(int mergeFactor)` Set's the merge factor

Methods inherited from class fr.gouv.culture.sdx.documentbase.IndexParameters
`getBatchMax, getClassNameSuffix, getPipeline, getPipelineParams, getSendIndexationEvents, getUser, handleAttachedDocuments, handleAttachedDocumentSameId, handleSameId, handleSubDocumentSameId, handleTabularData, initToSax, initVolatileObjectsToSax, isSaveOriginalDocument, setAttachedDocumentSameId, setBatchMax, setPipeline, setPipelineParams, setSameId, setSaveOriginalDocument, setSendIndexationEvents, setSubDocumentSameId, setUser, toSAX`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneIndexParameters

    public LuceneIndexParameters()

### LuceneIndexParameters

    public LuceneIndexParameters(int maxMergeDocs,
                                 int mergeFactor)

  Build this object and set's the class variables for LuceneIndex writing

  Parameters:
    `maxMergeDocs` - The largest number of documents ever merged at indexation
    `mergeFactor` - Determines how often segment indexes are merged at indexation

Method Detail

### getMergeFactor

    public int getMergeFactor()

  Get's the merge factor

### setMergeFactor

    public void setMergeFactor(int mergeFactor)

  Set's the merge factor

### getMaxMergeDocs

    public int getMaxMergeDocs()

  Get's the max merge docs value

### setMaxMergeDocs

    public void setMaxMergeDocs(int maxMergeDocs)

  Set's the max merge docs value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.